BEEM - Android XMPP - Bug #57

Mettre "a la norme" les fichiers sources
03/24/2009 05:48 PM - Frédéric Barthéléry

Status: Closed Start date: 03/24/2009
Priority: Normal Due date: 03/26/2009
Assignee: Vincent Véronis % Done: 100%
Category: Documentation Estimated time: 5.00 hours
Target version: Prototype before 1.5 - SFR_Version

Affected version: Locale:

Description

Comme nous l'avions precedemment ecrit dans le cahier des charges du projet BEEM, nous allons ecrire du code qui respecte une
certaine norme notamment au niveau de la documentation javadoc des classes.
Pour vous faciliter la tache et vous pourrir la vie, je mets a votre disposition un fichier de regle pour CheckStyle qui est un

programme qui verifie certaine regles dans le code source. Celui ci est utilisable avec le plugin eclipse eclipse-cs.

Ces regles ont ete teste par Marseille. Si certaines regles ne vous conviennent pas pour une raison ou une autre, on en discutera

dans ce ticket.

Ce fichier sera prochainement disponible dans le depot des sources du projet, ne vous inquietez pas **

PS: Barbu a decider de chercher un plugin pour redmine qui fasse la correction orthographique.

History

#1 - 04/07/2009 09:45 PM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Vincent Véronis

Marseille s'en chargera avec joie :)

#2 - 05/12/2009 04:02 PM - Nikita Kozlov

- Due date set to 03/26/2009

- Status changed from Assigned to Closed

- Target version set to Prototype before 1.5 - SFR_Version
- % Done changed from 0 to 100

- Estimated time set to 5.00 h

Moderate

Files

checkstyle.xml 7.56 KB
http://checkstyle.sourceforge.net/
http://eclipse-cs.sourceforge.net/
http://www.tcpdf.org

